<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per il file movimento.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Funzioni</a> &#124;
<a href="#var-members">Variabili</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per il file movimento.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;list&gt;</code><br />
<code>#include &quot;<a class="el" href="dati_8h_source.html">dati.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="eventi_8h_source.html">eventi.h</a>&quot;</code><br />
</div>
<p><a href="movimento_8h_source.html">Vai al codice sorgente di questo file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funzioni</h2></td></tr>
<tr class="memitem:a11a2ef571913a39c2db398e334282bf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#a11a2ef571913a39c2db398e334282bf4">aggiorna_velocita_x</a> (<a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati)</td></tr>
<tr class="memdesc:a11a2ef571913a39c2db398e334282bf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che aggiorna l'accelerazione sull'asse x del personaggio principale.  <a href="#a11a2ef571913a39c2db398e334282bf4">Continua...</a><br /></td></tr>
<tr class="separator:a11a2ef571913a39c2db398e334282bf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8c1b9e91508d53cd88d60028c5e1af"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#a5a8c1b9e91508d53cd88d60028c5e1af">aggiorna_velocita_y</a> (<a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati)</td></tr>
<tr class="memdesc:a5a8c1b9e91508d53cd88d60028c5e1af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che aggiorna l'accelerazione sull'asse y del personaggio principale (NON IMPLEMENTATA)  <a href="#a5a8c1b9e91508d53cd88d60028c5e1af">Continua...</a><br /></td></tr>
<tr class="separator:a5a8c1b9e91508d53cd88d60028c5e1af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5694985fc91b0391ca1a5d3a2fbb93a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#ab5694985fc91b0391ca1a5d3a2fbb93a">muovi_png</a> (<a class="el" href="structpersonaggio.html">personaggio</a> &amp;p)</td></tr>
<tr class="memdesc:ab5694985fc91b0391ca1a5d3a2fbb93a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che aggiorna velocità x del personaggio passato in input verso il personaggio principale.  <a href="#ab5694985fc91b0391ca1a5d3a2fbb93a">Continua...</a><br /></td></tr>
<tr class="separator:ab5694985fc91b0391ca1a5d3a2fbb93a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc132d37657976627b37e53f7b76a7f2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#afc132d37657976627b37e53f7b76a7f2">salta</a> (const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo, list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt; &amp;oggetti, list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt; &amp;personaggi)</td></tr>
<tr class="memdesc:afc132d37657976627b37e53f7b76a7f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che gestisce l'accelerazione in salto e la decelerazione durante la caduta dei personaggi.  <a href="#afc132d37657976627b37e53f7b76a7f2">Continua...</a><br /></td></tr>
<tr class="separator:afc132d37657976627b37e53f7b76a7f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb3dc1395ea6a851e48925ba5014cde3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#aeb3dc1395ea6a851e48925ba5014cde3">muovi_personaggi</a> (const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo, list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt; &amp;personaggi, list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt; oggetti)</td></tr>
<tr class="memdesc:aeb3dc1395ea6a851e48925ba5014cde3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che muove tutti i personaggi all'interno del gioco, e nel frattempo controlla le collisioni con altri personaggi e oggetti in gioco, ritorna 0 se tutto è andato a buon fine, true se si verifica la condizione di fine gioco (Personaggio principale con 0 punti vita).  <a href="#aeb3dc1395ea6a851e48925ba5014cde3">Continua...</a><br /></td></tr>
<tr class="separator:aeb3dc1395ea6a851e48925ba5014cde3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a689e8375d662eb51780f0f366f9362cf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#a689e8375d662eb51780f0f366f9362cf">muovi_oggetti</a> (const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo, list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt; &amp;oggetti, list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt; &amp;personaggi)</td></tr>
<tr class="memdesc:a689e8375d662eb51780f0f366f9362cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che muove tutti gli oggetti all'interno del gioco, e nel frattempo controlla le collisioni con altri personaggi e oggetti in gioco, ritorna 0 se tutto è andato a buon fine, true se si verifica la condizione di fine gioco (Personaggio principale con 0 punti vita).  <a href="#a689e8375d662eb51780f0f366f9362cf">Continua...</a><br /></td></tr>
<tr class="separator:a689e8375d662eb51780f0f366f9362cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef0c415c87d1a12816339adfc16bbcb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#aef0c415c87d1a12816339adfc16bbcb2">esegui_azione</a> (<a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati, <a class="el" href="structpersonaggio.html">personaggio</a> &amp;p)</td></tr>
<tr class="memdesc:aef0c415c87d1a12816339adfc16bbcb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che muove, fa attaccare i nemici presenti su schermo.  <a href="#aef0c415c87d1a12816339adfc16bbcb2">Continua...</a><br /></td></tr>
<tr class="separator:aef0c415c87d1a12816339adfc16bbcb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variabili</h2></td></tr>
<tr class="memitem:a369186b97e160587e0ff9316d6ef156c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a> = 6</td></tr>
<tr class="memdesc:a369186b97e160587e0ff9316d6ef156c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Costante che indica l'accelerazione massima dei personaggi sull'asse X.  <a href="#a369186b97e160587e0ff9316d6ef156c">Continua...</a><br /></td></tr>
<tr class="separator:a369186b97e160587e0ff9316d6ef156c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84a7b7cf9d95df2ded9f78baf40ae005"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a> = -6</td></tr>
<tr class="memdesc:a84a7b7cf9d95df2ded9f78baf40ae005"><td class="mdescLeft">&#160;</td><td class="mdescRight">Costante che indica la decelerazione massima dei personaggi sull'asse X.  <a href="#a84a7b7cf9d95df2ded9f78baf40ae005">Continua...</a><br /></td></tr>
<tr class="separator:a84a7b7cf9d95df2ded9f78baf40ae005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4128af4982dc33329a2b5850370e9398"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#a4128af4982dc33329a2b5850370e9398">MAX_VEL_Y</a> = 3</td></tr>
<tr class="memdesc:a4128af4982dc33329a2b5850370e9398"><td class="mdescLeft">&#160;</td><td class="mdescRight">Costante che indica l'accelerazione massima dei personaggi sull'asse Y (Non implementata)  <a href="#a4128af4982dc33329a2b5850370e9398">Continua...</a><br /></td></tr>
<tr class="separator:a4128af4982dc33329a2b5850370e9398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad20349de1498b4fbbf8bde8d07b2df36"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="movimento_8h.html#ad20349de1498b4fbbf8bde8d07b2df36">MIN_VEL_Y</a> = -3</td></tr>
<tr class="memdesc:ad20349de1498b4fbbf8bde8d07b2df36"><td class="mdescLeft">&#160;</td><td class="mdescRight">Costante che indica la decelerazione massima dei personaggi sull'asse Y (Non implementata)  <a href="#ad20349de1498b4fbbf8bde8d07b2df36">Continua...</a><br /></td></tr>
<tr class="separator:ad20349de1498b4fbbf8bde8d07b2df36"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentazione delle funzioni</h2>
<a class="anchor" id="a11a2ef571913a39c2db398e334282bf4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void aggiorna_velocita_x </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che aggiorna l'accelerazione sull'asse x del personaggio principale. </p>
<div class="fragment"><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;{</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;    <a class="code" href="structpersonaggio.html">personaggio</a> &amp;p = dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front();</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="comment">//Accelerazione</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a6a3cbc9189be5d105338b465ec49bd35">in_movim_dx</a>)</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    {</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> == <a class="code" href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a> - 1)</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a>++;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> &lt; <a class="code" href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a>)</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> +=2;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> &gt; 0)</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;            <span class="keywordflow">return</span>;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    }</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#aa64b25451d1998872aed5403b6298f94">in_movim_sx</a>)</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> == <a class="code" href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a> + 1)</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a>--;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> &gt; <a class="code" href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a>)</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> -= 2;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> &lt; 0)</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;            <span class="keywordflow">return</span>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    }</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="comment">//Decelerazione</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> &lt; 0)</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> == -1)</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> ++;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keywordflow">else</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> += 2;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    }</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> &gt; 0)</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> == 1)</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> --;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="keywordflow">else</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;            p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> -= 2;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    }</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}</div><div class="ttc" id="structdati__gioco_html_a12e014110bcaf81336ff993a67b292f2"><div class="ttname"><a href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">dati_gioco::personaggi</a></div><div class="ttdeci">list&lt; personaggio &gt; personaggi</div><div class="ttdoc">Lista contenente tutti i personaggi attivi nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:137</div></div>
<div class="ttc" id="structpersonaggio_html"><div class="ttname"><a href="structpersonaggio.html">personaggio</a></div><div class="ttdoc">Struttura che descrive un qualsiasi personaggio in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:105</div></div>
<div class="ttc" id="movimento_8h_html_a84a7b7cf9d95df2ded9f78baf40ae005"><div class="ttname"><a href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a></div><div class="ttdeci">const int MIN_VEL_X</div><div class="ttdoc">Costante che indica la decelerazione massima dei personaggi sull&amp;#39;asse X. </div><div class="ttdef"><b>Definition:</b> movimento.h:8</div></div>
<div class="ttc" id="movimento_8h_html_a369186b97e160587e0ff9316d6ef156c"><div class="ttname"><a href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a></div><div class="ttdeci">const int MAX_VEL_X</div><div class="ttdoc">Costante che indica l&amp;#39;accelerazione massima dei personaggi sull&amp;#39;asse X. </div><div class="ttdef"><b>Definition:</b> movimento.h:7</div></div>
<div class="ttc" id="structpersonaggio_html_a159b2bc7ed0dadb4d00fca244d4cbad5"><div class="ttname"><a href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">personaggio::vel_x</a></div><div class="ttdeci">int vel_x</div><div class="ttdoc">Velocità del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:110</div></div>
<div class="ttc" id="structpersonaggio_html_aa64b25451d1998872aed5403b6298f94"><div class="ttname"><a href="structpersonaggio.html#aa64b25451d1998872aed5403b6298f94">personaggio::in_movim_sx</a></div><div class="ttdeci">bool in_movim_sx</div><div class="ttdoc">Flag che indica se il personaggio è in movimento verso sinistra. </div><div class="ttdef"><b>Definition:</b> dati.h:117</div></div>
<div class="ttc" id="structpersonaggio_html_a6a3cbc9189be5d105338b465ec49bd35"><div class="ttname"><a href="structpersonaggio.html#a6a3cbc9189be5d105338b465ec49bd35">personaggio::in_movim_dx</a></div><div class="ttdeci">bool in_movim_dx</div><div class="ttdoc">Flag che indica se il personaggio è in movimento verso destra. </div><div class="ttdef"><b>Definition:</b> dati.h:115</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a5a8c1b9e91508d53cd88d60028c5e1af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void aggiorna_velocita_y </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che aggiorna l'accelerazione sull'asse y del personaggio principale (NON IMPLEMENTATA) </p>
<div class="fragment"><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;{</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="aef0c415c87d1a12816339adfc16bbcb2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void esegui_azione </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che muove, fa attaccare i nemici presenti su schermo. </p>

</div>
</div>
<a class="anchor" id="a689e8375d662eb51780f0f366f9362cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool muovi_oggetti </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>oggetti</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>personaggi</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che muove tutti gli oggetti all'interno del gioco, e nel frattempo controlla le collisioni con altri personaggi e oggetti in gioco, ritorna 0 se tutto è andato a buon fine, true se si verifica la condizione di fine gioco (Personaggio principale con 0 punti vita). </p>
<div class="fragment"><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;{</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    <span class="comment">//Controllare-Incrementare x, y, se fuori schermo deallocare</span></div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="keywordflow">for</span>(<a class="code" href="structoggetto.html">oggetto</a> &amp;o : oggetti)</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    {</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        o.x += o.vel_x;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;        o.y += o.vel_y;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;        <span class="comment">//End of screen Detection</span></div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;        <span class="keywordflow">if</span>(o.x &gt; schermo.<a class="code" href="structdati__schermo.html#a97cae07ad1d39653da2e7ee79111a4ed">larghezza</a> || o.x + <a class="code" href="dati_8h.html#a2f184ce6795cb1b444777a5af860c5eb">LARG_OGG</a> &lt; 0)</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;        {</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="preprocessor">            #ifdef DBG </span></div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;                cout &lt;&lt; <span class="stringliteral">&quot;Arma eliminata per fuoriuscita dallo schermo&quot;</span> &lt;&lt; endl;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="preprocessor">            #endif</span></div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;            o.sprite.visibile = <span class="keyword">false</span>;</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;            o.rim = <span class="keyword">true</span>;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;            assert(o.rim);</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;            <span class="comment">//oggetti.erase(o);</span></div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        }</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    }</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    oggetti.remove_if([](<a class="code" href="structoggetto.html">oggetto</a> o){<span class="keywordflow">return</span> o.<a class="code" href="structoggetto.html#a5585997dcfbdf5bf957f501b8a8b1fc2">rim</a>;});</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    oggetti.remove_if([](<a class="code" href="structoggetto.html">oggetto</a> o){<span class="keywordflow">return</span> !o.<a class="code" href="structoggetto.html#a8dc23f6c3ed84f53db529288b8e3ed1a">sprite</a>.<a class="code" href="structinformazioni__disegno.html#a220a63711084555f2dd2e5de1daa76b4">visibile</a>;});</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    <span class="comment">//Bullet Hit Detection</span></div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="keywordflow">if</span>(oggetti.size() &gt; 1)</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;        <a class="code" href="dati_8cc.html#a06dce035668c284dfe5b39b28c809a1b">risolvi_collisioni_ogg_ogg</a>(oggetti);</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    <span class="keywordtype">bool</span> morto = <a class="code" href="dati_8cc.html#a0a88e7a36178ae8d518c0a639686ef12">risolvi_collisioni_ogg_pg</a>(oggetti, personaggi);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="keywordflow">return</span> morto;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;}<div class="ttc" id="dati_8cc_html_a0a88e7a36178ae8d518c0a639686ef12"><div class="ttname"><a href="dati_8cc.html#a0a88e7a36178ae8d518c0a639686ef12">risolvi_collisioni_ogg_pg</a></div><div class="ttdeci">bool risolvi_collisioni_ogg_pg(list&lt; oggetto &gt; &amp;oggetti, list&lt; personaggio &gt; &amp;personaggi)</div><div class="ttdoc">Funzione che controlla se un personaggio ed un&amp;#39;arma (da lancio) collidono, nel caso succedesse...</div><div class="ttdef"><b>Definition:</b> dati.cc:316</div></div>
<div class="ttc" id="dati_8h_html_a2f184ce6795cb1b444777a5af860c5eb"><div class="ttname"><a href="dati_8h.html#a2f184ce6795cb1b444777a5af860c5eb">LARG_OGG</a></div><div class="ttdeci">const int LARG_OGG</div><div class="ttdoc">Larghezza di ogni arma da lancio in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:18</div></div>
<div class="ttc" id="structinformazioni__disegno_html_a220a63711084555f2dd2e5de1daa76b4"><div class="ttname"><a href="structinformazioni__disegno.html#a220a63711084555f2dd2e5de1daa76b4">informazioni_disegno::visibile</a></div><div class="ttdeci">bool visibile</div><div class="ttdoc">Se settata a false l&amp;#39;oggetto non viene disegnato. </div><div class="ttdef"><b>Definition:</b> dati.h:67</div></div>
<div class="ttc" id="structoggetto_html_a8dc23f6c3ed84f53db529288b8e3ed1a"><div class="ttname"><a href="structoggetto.html#a8dc23f6c3ed84f53db529288b8e3ed1a">oggetto::sprite</a></div><div class="ttdeci">informazioni_disegno sprite</div><div class="ttdoc">Informazioni di disegno dell&amp;#39;oggetto. </div><div class="ttdef"><b>Definition:</b> dati.h:99</div></div>
<div class="ttc" id="structoggetto_html_a5585997dcfbdf5bf957f501b8a8b1fc2"><div class="ttname"><a href="structoggetto.html#a5585997dcfbdf5bf957f501b8a8b1fc2">oggetto::rim</a></div><div class="ttdeci">bool rim</div><div class="ttdoc">Indica se l&amp;#39;arma deve essere rimossa. </div><div class="ttdef"><b>Definition:</b> dati.h:97</div></div>
<div class="ttc" id="dati_8cc_html_a06dce035668c284dfe5b39b28c809a1b"><div class="ttname"><a href="dati_8cc.html#a06dce035668c284dfe5b39b28c809a1b">risolvi_collisioni_ogg_ogg</a></div><div class="ttdeci">void risolvi_collisioni_ogg_ogg(list&lt; oggetto &gt; &amp;oggetti)</div><div class="ttdoc">Funzione che controlla a coppie se due oggetti collidono, nel caso succedesse, elimina dalla lista en...</div><div class="ttdef"><b>Definition:</b> dati.cc:348</div></div>
<div class="ttc" id="structoggetto_html"><div class="ttname"><a href="structoggetto.html">oggetto</a></div><div class="ttdoc">(NON IMPLEMENTATO) struct struttura { informazioni_disegno draw; bool visibile; }; ...</div><div class="ttdef"><b>Definition:</b> dati.h:88</div></div>
<div class="ttc" id="structdati__schermo_html_a97cae07ad1d39653da2e7ee79111a4ed"><div class="ttname"><a href="structdati__schermo.html#a97cae07ad1d39653da2e7ee79111a4ed">dati_schermo::larghezza</a></div><div class="ttdeci">int larghezza</div><div class="ttdoc">Larghezza del disegno. </div><div class="ttdef"><b>Definition:</b> grafica.h:38</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="aeb3dc1395ea6a851e48925ba5014cde3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool muovi_personaggi </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>personaggi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt;&#160;</td>
          <td class="paramname"><em>oggetti</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che muove tutti i personaggi all'interno del gioco, e nel frattempo controlla le collisioni con altri personaggi e oggetti in gioco, ritorna 0 se tutto è andato a buon fine, true se si verifica la condizione di fine gioco (Personaggio principale con 0 punti vita). </p>
<div class="fragment"><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;{</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="comment">//Movimento</span></div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordflow">for</span>(<a class="code" href="structpersonaggio.html">personaggio</a> &amp;p : personaggi)</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    {</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keywordtype">int</span> diff = schermo.<a class="code" href="structdati__schermo.html#a97cae07ad1d39653da2e7ee79111a4ed">larghezza</a> - (p.x + <a class="code" href="dati_8h.html#a092f055b308b79b8234791eab1987c5e">LARG_SPRITE</a>);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordflow">if</span>(p.x + p.vel_x &lt;= 0)</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            p.x = 0;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.vel_x &gt; diff)</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            p.x += diff;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keywordflow">else</span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            p.x += p.vel_x;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        </div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        <span class="keywordflow">if</span>(p.arma.fase_attacco &lt;= <a class="code" href="dati_8h.html#a5bf3816bdca438174a488e23dfe205b5">MAX_FASI_ATTACCO</a> &amp;&amp; p.arma.in_uscita)</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        {</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            p.arma.y = p.y + <a class="code" href="dati_8h.html#af1dbe5c2a6978ae73092e63a43799b00">OFFSET_ALT_MELEE</a>;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            p.arma.x = p.x + (p.arma.vel_x*p.arma.fase_attacco);</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            p.arma.fase_attacco++;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        }</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.arma.fase_attacco &gt; 0)</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        {</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            p.arma.y = p.y + <a class="code" href="dati_8h.html#af1dbe5c2a6978ae73092e63a43799b00">OFFSET_ALT_MELEE</a>;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            p.arma.x = p.x + (p.arma.vel_x*p.arma.fase_attacco);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;            p.arma.in_uscita = <span class="keyword">false</span>;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            p.arma.fase_attacco--;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        }</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        <span class="keywordflow">else</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        {</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            p.arma.sprite.visibile = <span class="keyword">false</span>;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;            p.in_attacco = <span class="keyword">false</span>;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        }</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    }</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="comment">//Controllo</span></div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keywordtype">bool</span> morto = <a class="code" href="dati_8cc.html#a43636642d67e03810fb270bc33e2c7ca">risolvi_collisioni_pg_pg</a>(personaggi);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    morto = <a class="code" href="dati_8cc.html#a0a88e7a36178ae8d518c0a639686ef12">risolvi_collisioni_ogg_pg</a>(oggetti, personaggi) | morto;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    <span class="keywordflow">return</span> morto;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;}</div><div class="ttc" id="dati_8cc_html_a0a88e7a36178ae8d518c0a639686ef12"><div class="ttname"><a href="dati_8cc.html#a0a88e7a36178ae8d518c0a639686ef12">risolvi_collisioni_ogg_pg</a></div><div class="ttdeci">bool risolvi_collisioni_ogg_pg(list&lt; oggetto &gt; &amp;oggetti, list&lt; personaggio &gt; &amp;personaggi)</div><div class="ttdoc">Funzione che controlla se un personaggio ed un&amp;#39;arma (da lancio) collidono, nel caso succedesse...</div><div class="ttdef"><b>Definition:</b> dati.cc:316</div></div>
<div class="ttc" id="structpersonaggio_html"><div class="ttname"><a href="structpersonaggio.html">personaggio</a></div><div class="ttdoc">Struttura che descrive un qualsiasi personaggio in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:105</div></div>
<div class="ttc" id="dati_8cc_html_a43636642d67e03810fb270bc33e2c7ca"><div class="ttname"><a href="dati_8cc.html#a43636642d67e03810fb270bc33e2c7ca">risolvi_collisioni_pg_pg</a></div><div class="ttdeci">bool risolvi_collisioni_pg_pg(list&lt; personaggio &gt; &amp;personaggi)</div><div class="ttdoc">Funzione che controlla a coppie se due personaggi collidono, nel caso succedesse, toglie una vita ad ...</div><div class="ttdef"><b>Definition:</b> dati.cc:248</div></div>
<div class="ttc" id="structdati__schermo_html_a97cae07ad1d39653da2e7ee79111a4ed"><div class="ttname"><a href="structdati__schermo.html#a97cae07ad1d39653da2e7ee79111a4ed">dati_schermo::larghezza</a></div><div class="ttdeci">int larghezza</div><div class="ttdoc">Larghezza del disegno. </div><div class="ttdef"><b>Definition:</b> grafica.h:38</div></div>
<div class="ttc" id="dati_8h_html_af1dbe5c2a6978ae73092e63a43799b00"><div class="ttname"><a href="dati_8h.html#af1dbe5c2a6978ae73092e63a43799b00">OFFSET_ALT_MELEE</a></div><div class="ttdeci">const int OFFSET_ALT_MELEE</div><div class="ttdoc">Valore che esprime di quanti pixel deve essere spostata l&amp;#39;arma rispetto alla y del personaggio...</div><div class="ttdef"><b>Definition:</b> dati.h:28</div></div>
<div class="ttc" id="dati_8h_html_a092f055b308b79b8234791eab1987c5e"><div class="ttname"><a href="dati_8h.html#a092f055b308b79b8234791eab1987c5e">LARG_SPRITE</a></div><div class="ttdeci">const int LARG_SPRITE</div><div class="ttdoc">Larghezza di ogni sprite in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:15</div></div>
<div class="ttc" id="dati_8h_html_a5bf3816bdca438174a488e23dfe205b5"><div class="ttname"><a href="dati_8h.html#a5bf3816bdca438174a488e23dfe205b5">MAX_FASI_ATTACCO</a></div><div class="ttdeci">const int MAX_FASI_ATTACCO</div><div class="ttdoc">Valore che indica quante fasi d&amp;#39;attacco vengno eseguite, un numero più alto porta ad attaccare più lo...</div><div class="ttdef"><b>Definition:</b> dati.h:29</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ab5694985fc91b0391ca1a5d3a2fbb93a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void muovi_png </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpersonaggio.html">personaggio</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che aggiorna velocità x del personaggio passato in input verso il personaggio principale. </p>
<p>NON PIU' SUPPORTATA, NUOVA IA SU ::ia.cc </p>
<div class="fragment"><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <span class="keywordtype">int</span> moltiplicatore = 1;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">tipo</a> == <a class="code" href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30">SPADACCINO</a>)</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        moltiplicatore = 2;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keywordflow">else</span> <span class="keywordflow">if</span> (p.<a class="code" href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">tipo</a> == <a class="code" href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7a7900355544f41daec86dcb3e119f3e15">INSEGUITORE</a>)</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        moltiplicatore = 4;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordflow">if</span>(p.<a class="code" href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">direzione</a> == <a class="code" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a>)</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> = (<a class="code" href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a>/3)*moltiplicatore;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        p.<a class="code" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a> = (<a class="code" href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a>/3)*moltiplicatore; </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div><div class="ttc" id="dati_8h_html_af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156"><div class="ttname"><a href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a></div><div class="ttdef"><b>Definition:</b> dati.h:48</div></div>
<div class="ttc" id="structpersonaggio_html_a1fd13cf6114e4fb2d7d1d083c1b034eb"><div class="ttname"><a href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">personaggio::direzione</a></div><div class="ttdeci">direzione_t direzione</div><div class="ttdoc">Direzione in cui il personaggio è voltato. </div><div class="ttdef"><b>Definition:</b> dati.h:123</div></div>
<div class="ttc" id="dati_8h_html_a9bb20167eb424d00ab6fae7c495cd2e7a7900355544f41daec86dcb3e119f3e15"><div class="ttname"><a href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7a7900355544f41daec86dcb3e119f3e15">INSEGUITORE</a></div><div class="ttdef"><b>Definition:</b> dati.h:57</div></div>
<div class="ttc" id="dati_8h_html_a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30"><div class="ttname"><a href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7aa35760404df85b7bfcbf05c0ad102b30">SPADACCINO</a></div><div class="ttdef"><b>Definition:</b> dati.h:57</div></div>
<div class="ttc" id="movimento_8h_html_a84a7b7cf9d95df2ded9f78baf40ae005"><div class="ttname"><a href="movimento_8h.html#a84a7b7cf9d95df2ded9f78baf40ae005">MIN_VEL_X</a></div><div class="ttdeci">const int MIN_VEL_X</div><div class="ttdoc">Costante che indica la decelerazione massima dei personaggi sull&amp;#39;asse X. </div><div class="ttdef"><b>Definition:</b> movimento.h:8</div></div>
<div class="ttc" id="movimento_8h_html_a369186b97e160587e0ff9316d6ef156c"><div class="ttname"><a href="movimento_8h.html#a369186b97e160587e0ff9316d6ef156c">MAX_VEL_X</a></div><div class="ttdeci">const int MAX_VEL_X</div><div class="ttdoc">Costante che indica l&amp;#39;accelerazione massima dei personaggi sull&amp;#39;asse X. </div><div class="ttdef"><b>Definition:</b> movimento.h:7</div></div>
<div class="ttc" id="structpersonaggio_html_a159b2bc7ed0dadb4d00fca244d4cbad5"><div class="ttname"><a href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">personaggio::vel_x</a></div><div class="ttdeci">int vel_x</div><div class="ttdoc">Velocità del personaggio sull&amp;#39;asse delle ascisse. </div><div class="ttdef"><b>Definition:</b> dati.h:110</div></div>
<div class="ttc" id="structpersonaggio_html_ada6c8bcef11e0095406b3bdc5ff6c583"><div class="ttname"><a href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">personaggio::tipo</a></div><div class="ttdeci">tipo_t tipo</div><div class="ttdoc">Enumeratore che indica il tipo di personaggio (Princpale-Spadaccino-Lanciere-Inseguitore) ...</div><div class="ttdef"><b>Definition:</b> dati.h:122</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="afc132d37657976627b37e53f7b76a7f2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool salta </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>oggetti</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>personaggi</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che gestisce l'accelerazione in salto e la decelerazione durante la caduta dei personaggi. </p>
<div class="fragment"><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;{</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="comment">//Movimento</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">for</span> (<a class="code" href="structpersonaggio.html">personaggio</a> &amp;p : personaggi)</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="keywordflow">if</span>(!p.cade)</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        {</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            <span class="keywordflow">if</span>(p.in_salto)</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            {</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                <span class="keywordflow">if</span>(p.y &gt; <a class="code" href="grafica_8h.html#a908e0234e2bee0680ab9c53ec914c19b">MED_ALT_SALTO_1</a>)</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;                    p.y -= 8;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;                <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.y &gt; <a class="code" href="grafica_8h.html#ae3e19728792c4efa48c6b86ee9eb5832">MED_ALT_SALTO_2</a>)</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                    p.y -= 6;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;                <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.y &gt; <a class="code" href="grafica_8h.html#af10512e799a8de762023e0f97697cb38">MED_ALT_SALTO_3</a>)</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;                    p.y -= 4;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;                <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.y &gt; <a class="code" href="grafica_8h.html#a7c721a3ead282fd4747f8eb5405a79a2">MAX_ALT_SALTO</a>)</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;                    p.y -= 2;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;                <span class="keywordflow">else</span></div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;                    p.cade = <span class="keyword">true</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            }</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keywordflow">else</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            <span class="keywordflow">if</span>(p.y &lt; <a class="code" href="grafica_8h.html#a7c721a3ead282fd4747f8eb5405a79a2">MAX_ALT_SALTO</a>)</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                p.y += 2;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;            <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.y &lt; <a class="code" href="grafica_8h.html#af10512e799a8de762023e0f97697cb38">MED_ALT_SALTO_3</a>)</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                p.y += 4;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;            <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.y &lt; <a class="code" href="grafica_8h.html#ae3e19728792c4efa48c6b86ee9eb5832">MED_ALT_SALTO_2</a>)</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;                p.y += 6;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            <span class="keywordflow">else</span> <span class="keywordflow">if</span>(p.y &lt; <a class="code" href="grafica_8h.html#a908e0234e2bee0680ab9c53ec914c19b">MED_ALT_SALTO_1</a>)</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                p.y += 8;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            <span class="keywordflow">else</span> </div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            {</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;                <span class="keywordflow">if</span>(p.y + <a class="code" href="dati_8h.html#aca045ca2840c71baaec89a52389e5472">ALT_SPRITE</a> &gt; <a class="code" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a>)</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;                    p.cade = <span class="keyword">false</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                    p.in_salto = <span class="keyword">false</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;                    p.y = <a class="code" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - <a class="code" href="dati_8h.html#aca045ca2840c71baaec89a52389e5472">ALT_SPRITE</a>;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;                }<span class="keywordflow">else</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;                    p.y += 8;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            }</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        }</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    }</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    </div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="comment">//Controllo</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keywordtype">bool</span> morto = <a class="code" href="dati_8cc.html#a43636642d67e03810fb270bc33e2c7ca">risolvi_collisioni_pg_pg</a>(personaggi);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    morto = <a class="code" href="dati_8cc.html#a0a88e7a36178ae8d518c0a639686ef12">risolvi_collisioni_ogg_pg</a>(oggetti, personaggi) | morto;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordflow">return</span> morto;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;}</div><div class="ttc" id="dati_8cc_html_a0a88e7a36178ae8d518c0a639686ef12"><div class="ttname"><a href="dati_8cc.html#a0a88e7a36178ae8d518c0a639686ef12">risolvi_collisioni_ogg_pg</a></div><div class="ttdeci">bool risolvi_collisioni_ogg_pg(list&lt; oggetto &gt; &amp;oggetti, list&lt; personaggio &gt; &amp;personaggi)</div><div class="ttdoc">Funzione che controlla se un personaggio ed un&amp;#39;arma (da lancio) collidono, nel caso succedesse...</div><div class="ttdef"><b>Definition:</b> dati.cc:316</div></div>
<div class="ttc" id="grafica_8h_html_af10512e799a8de762023e0f97697cb38"><div class="ttname"><a href="grafica_8h.html#af10512e799a8de762023e0f97697cb38">MED_ALT_SALTO_3</a></div><div class="ttdeci">const int MED_ALT_SALTO_3</div><div class="ttdoc">Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata. </div><div class="ttdef"><b>Definition:</b> grafica.h:19</div></div>
<div class="ttc" id="dati_8h_html_aca045ca2840c71baaec89a52389e5472"><div class="ttname"><a href="dati_8h.html#aca045ca2840c71baaec89a52389e5472">ALT_SPRITE</a></div><div class="ttdeci">const int ALT_SPRITE</div><div class="ttdoc">Altezza di ogni sprite in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:14</div></div>
<div class="ttc" id="structpersonaggio_html"><div class="ttname"><a href="structpersonaggio.html">personaggio</a></div><div class="ttdoc">Struttura che descrive un qualsiasi personaggio in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:105</div></div>
<div class="ttc" id="dati_8cc_html_a43636642d67e03810fb270bc33e2c7ca"><div class="ttname"><a href="dati_8cc.html#a43636642d67e03810fb270bc33e2c7ca">risolvi_collisioni_pg_pg</a></div><div class="ttdeci">bool risolvi_collisioni_pg_pg(list&lt; personaggio &gt; &amp;personaggi)</div><div class="ttdoc">Funzione che controlla a coppie se due personaggi collidono, nel caso succedesse, toglie una vita ad ...</div><div class="ttdef"><b>Definition:</b> dati.cc:248</div></div>
<div class="ttc" id="grafica_8h_html_a7c721a3ead282fd4747f8eb5405a79a2"><div class="ttname"><a href="grafica_8h.html#a7c721a3ead282fd4747f8eb5405a79a2">MAX_ALT_SALTO</a></div><div class="ttdeci">const int MAX_ALT_SALTO</div><div class="ttdoc">Altezza massima di salto. </div><div class="ttdef"><b>Definition:</b> grafica.h:18</div></div>
<div class="ttc" id="grafica_8h_html_ad3af550d56af7344403824f3dc496d91"><div class="ttname"><a href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a></div><div class="ttdeci">const int Y_TERRENO</div><div class="ttdoc">Posizione del terreno sull&amp;#39;asse y dove scorrono i personaggi. </div><div class="ttdef"><b>Definition:</b> grafica.h:17</div></div>
<div class="ttc" id="grafica_8h_html_a908e0234e2bee0680ab9c53ec914c19b"><div class="ttname"><a href="grafica_8h.html#a908e0234e2bee0680ab9c53ec914c19b">MED_ALT_SALTO_1</a></div><div class="ttdeci">const int MED_ALT_SALTO_1</div><div class="ttdoc">Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata ancora una volta...</div><div class="ttdef"><b>Definition:</b> grafica.h:21</div></div>
<div class="ttc" id="grafica_8h_html_ae3e19728792c4efa48c6b86ee9eb5832"><div class="ttname"><a href="grafica_8h.html#ae3e19728792c4efa48c6b86ee9eb5832">MED_ALT_SALTO_2</a></div><div class="ttdeci">const int MED_ALT_SALTO_2</div><div class="ttdoc">Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata ulteriormente...</div><div class="ttdef"><b>Definition:</b> grafica.h:20</div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Documentazione delle variabili</h2>
<a class="anchor" id="a369186b97e160587e0ff9316d6ef156c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MAX_VEL_X = 6</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Costante che indica l'accelerazione massima dei personaggi sull'asse X. </p>

</div>
</div>
<a class="anchor" id="a4128af4982dc33329a2b5850370e9398"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MAX_VEL_Y = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Costante che indica l'accelerazione massima dei personaggi sull'asse Y (Non implementata) </p>

</div>
</div>
<a class="anchor" id="a84a7b7cf9d95df2ded9f78baf40ae005"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MIN_VEL_X = -6</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Costante che indica la decelerazione massima dei personaggi sull'asse X. </p>

</div>
</div>
<a class="anchor" id="ad20349de1498b4fbbf8bde8d07b2df36"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MIN_VEL_Y = -3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Costante che indica la decelerazione massima dei personaggi sull'asse Y (Non implementata) </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
